{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    View My TimeTable
{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_view_my_timetable %}
        <div class="row" xmlns="http://www.w3.org/1999/html">
            <div class="x_panel">
                <div class="x_title">
                    <h2>
                        <i class="icomoon icon-calendar"></i> My TimeTable
                    </h2>
                    <div class="clearfix"></div>
                </div>
                <div class="table-responsive">
                    <table class="table table-bordered col-md-12 col-sm-12 col-xs-12">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>1st hour</th>
                            <th>2nd hour</th>
                            <th>3rd hour</th>
                            <th>4th hour</th>
                            <th>5th hour</th>
                            <th>6th hour</th>
                            <th>7th hour</th>
                            <th>8th hour</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for day in list_of_hours %}
                            <tr>
                                <th> Slot {{ forloop.counter }}</th>
                                {% for hour in day.hours %}
                                    <td align="center">
                                        {% if not hour %}
                                            -
                                        {% else %}
                                            {% for course in hour %}
                                                {{ course }}<br>
                                            {% endfor %}
                                        {% endif %}
                                    </td>
                                {% endfor %}
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
                <br><br>
                <table class="table table-hover">
                    <thead>
                    <tr>
                        <th>Course Code</th>
                        <th>Course Name</th>
                        <th>Batch</th>
                        <th>Department</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for each in list_of_courses %}
                        <tr>
                            <td>
                                {{ each.staff_course_instance.course.course_id }}
                            </td>
                            <td>
                                {{ each.staff_course_instance.course }}&nbsp;
                                {% if each.staff_course_instance.course.code %}
                                    ({{ each.staff_course_instance.course.code }})
                                {% endif %}
                            </td>
                            <td>
                                {{ each.staff_course_instance.batch }}&nbsp;&nbsp;
                                {% if each.section %}
                                    (SEC - {{ each.section }})
                                {% endif %}
                            </td>
                            <td>
                                {{ each.staff_course_instance.department.acronym }}
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    {% endif %}
{% endblock %}